{
  lib,
  config,
  ...
}: {
  programs.less.enable = true;

  programs.fish = lib.mkIf config.programs.fish.enable {
    interactiveShellInit = ''
      set -gx LESS -R
    '';
  };

  programs.lesspipe.enable = true;
}
